{% extends "webapp_base.html" %}

{% block content %}
{% load static %}
    <div id="bg">      
        <div class="text-center mb-2 mb-sm-2 pt-1 pt-sm-2">
            <div class="title display-1">WHO DO YOU LIKE?</div>
        </div>
        <div class="cands mb-4">
            <div class="candidate" id="trump">
                <div class="cand-utext h3 mb-2 mb-sm-3">
                    Trump
                </div>
                <img src="{% static 'webapp/img/trump-sq.jpg' %}" data-bs-toggle="modal" data-bs-target="#buyVoteModal" onclick="selectCandidate('Trump')">
                <div class="cand-votes h3 mt-3">
                    {% if transaction and transaction.vote_for == "Trump" %}
                        <span class="upvotes h2">+{{transaction.vote_numbers}}</span>
                    {% endif %}
                    <span class="vote-number">
                        {{trump_votes}} votes ({{trump_percentage}}%)
                    </span>
                </div>
            </div>
            <div class="vs">
                <img src="{% static 'webapp/img/vs.png' %}">
            </div>
            <div class="candidate" id="biden">
                <div class="cand-utext h3 mb-2 mb-sm-3">
                    Biden
                </div>
                <img src="{% static 'webapp/img/biden_v2.jpg' %}" data-bs-toggle="modal" data-bs-target="#buyVoteModal" onclick="selectCandidate('Biden')">
                <div class="cand-votes h3 mt-3">
                    <span class="vote-number">
                        {{biden_votes}} votes ({{biden_percentage}}%)
                    </span>
                    {% if transaction and transaction.vote_for == "Biden" %}
                        <span class="upvotes h2">+{{transaction.vote_numbers}}</span>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
    {% if transaction %}
        <div class="position-fixed payment-alert h4 alert alert-success alert-dismissible fade show">Congratulations! Donation was successful.
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    {% endif %}
    <div class="sub-main-texts" id="bottomBar">
        <div class="share-drawer" onclick="ShareDrawerToggle(this)">
            Share on
            <a class="btn btn-sm btn-social btn-fb" href="https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Ftrumpvsbiden.live%2F&amp;src=sdkpreparse" target="_blank" title="Share this post on Facebook">
                <i class="fab fa-facebook-square"></i> Facebook
            </a>

            <a class="btn btn-sm btn-social btn-tw" href="https://twitter.com/intent/tweet?ref_src=twsrc%5Etfw%7Ctwcamp%5Ebuttonembed%7Ctwterm%5Eshare%7Ctwgr%5E&text=Live%3A%20Trump%20Vs%20Biden&url=http%3A%2F%2F127.0.0.1%3A8000%2F" target="_blank" title="Share this post on Twitter">
                <i class="fab fa-twitter"></i> Twitter
            </a><script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

            <a class="btn btn-sm btn-social btn-in" href="https://www.linkedin.com/shareArticle?mini=true&url=https://trumpvsbiden.live&amp;title=Live: Trump Vs Biden on trumpvsbiden.live" target="_blank" title="Share this post on LinkedIn">
              <i class="fab fa-linkedin-in" data-fa-transform="grow-2"></i> LinkedIn
            </a>
        </div>
        <div class="text-sec d-flex align-items-center">
            <div class="container-fluid">
                {{bottom_text}}
            </div>
            <button type="button" class="btn-close btn-close-white" aria-label="Close" onclick="closeBottomBar(this)"></button>
        </div>
    </div>
    <div class="anti-drawer"></div>
    <div class="modal fade" tabindex="-1" id="buyVoteModal">
        <div class="modal-dialog modal-lg modal-dialog-centered">
            <form class="w-100" method="POST" action={% url 'checkout' %}>
                {% csrf_token %}
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Support 
                            <span class="badge bg-primary" id="selectedCandidate"></span>
                        </h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="mt-3">
                            <label for="emailControlInput" class="form-label">Email Address
                                <span class="required-field">*</span>
                            </label>
                            <input name="email" type="email" class="form-control" id="emailControlInput" placeholder="name@example.com" required>
                        </div>
                        <div class="mt-4 mb-3">
                            <label for="votesNumber" class="form-label">Number Of Votes To Buy
                            <span class="required-field">*</span>
                            </label>
                            <input name="votes_number" type="number" min="0" step="1" class="form-control" id="votesNumber" value="1" oninput="onVoteNumberChange(this)" required>
                            <span class="mt-2 badge bg-light text-dark">
                                Required Donation: 
                                <span class="requiredDonationValue">
                                    ${{ unit_price }}
                                </span> 
                            </span>
                        </div>
                        <input id="vote_for" name="vote_for" hidden>
                    </div>
                    <div class="modal-footer">
                        {% if voting_disabled %}
                            <div class="alert alert-danger w-100">
                                * Sorry, voting is not available now!
                            </div>
                        {% endif %}
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary" {% if voting_disabled %} disabled {% endif %}>Vote By Donating
                            <span class="requiredDonationValue">
                                ${{ unit_price }}
                            </span>
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <input value="{{unit_price}}" id="unitPrice" hidden>
    <script>
        function ShareDrawerToggle(e) {
            const content = document.getElementById('content')
            content.classList.toggle('share-drawer')
        }

        function selectCandidate(name) {
            const voteFor = document.getElementById('vote_for')
            voteFor.value = name

            const selectedCandidate = document.getElementById('selectedCandidate')
            selectedCandidate.innerText = name
        }

        function onVoteNumberChange(e) {
            const donationValueElements = document.getElementsByClassName('requiredDonationValue')
            const unitPrice = document.getElementById('unitPrice').value
            for (i = 0; i < donationValueElements.length; i++) {
                donationValueElements[i].innerText = (Number(e.value) * Number(unitPrice)).toLocaleString('en-US', {style:"currency", currency:"USD"})
            }
        }

        function closeBottomBar(e) {
            const bottomBar = document.getElementById('bottomBar')
            bottomBar.remove()
        }
    </script>
{% endblock content %}
